Next: ccosh, Previous: catanh, Up: Complex

### 2.9 `ccos`, `ccosf`—complex cosine

Synopsis

         #include <complex.h>
         double complex ccos(double complex z);
         float complex ccosf(float complex z);

Description
These functions compute the complex cosine of z.

`ccosf` is identical to `ccos`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex cosine value.

Portability
`ccos` and `ccosf` are ISO C99